---
datacenter:  
  children:
    odroid_cluster:
      children:
        odroid_master:
          hosts:
            192.168.77.131:
          vars:
            testVar: 999
        odroid_worker:
          hosts:
            192.168.77.13[2:5]:
        
      vars:
        ansible_ssh_user: jd
        ansible_ssh_pass: lacijaydee
        ansible_become_password: lacijaydee
        ssh_args: "-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
        ansible_ssh_common_args: "-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"

    localhost1:
          hosts:
            localhost
          vars:
            ansible_user: root        
    ryzen:
      hosts:
        192.168.77.15:
      vars:
        ansible_python_interpreter: auto_silent
        ansible_ssh_user: root
        ansible_ssh_pass: lacijaydee
        ansible_password: lacijaydee
        ansible_become_user: root
        ansible_become_password: lacijaydee
    omv:
      hosts:
        192.168.77.189:
      vars:
        ansible_user: root
        ansible_password: lacijaydee
        ansible_ssh_user: root
        ansible_ssh_pass: lacijaydee
        ansible_become_user: root
        ansible_become_password: lacijaydee
    amd:
      hosts:
        192.168.77.4:
      vars:
        ansible_user: root
        ansible_password: l4c1j4yd33Du5lo
        ansible_ssh_user: root
        ansible_ssh_pass: l4c1j4yd33Du5lo
        ansible_become_user: root
        ansible_become_password: l4c1j4yd33Du5lo
    rhasspy:
      hosts:
        192.168.77.224
      vars:
        ansible_user: jd
        ansible_ssh_pass: q
        ansible_become_password: l4c1j4yd33Du5lo
    windows:
      hosts:
        192.168.77.211
      vars:
        ansible_user: jd
        ansible_password: q
        ansible_connection: winrm
        ansible_port: 5985
        ansible_winrm_server_cert_validation: ignore
        ansible_winrm_kerberos_delegation: true
    mqtt_srv:
      children:
        servers1:
          hosts:
            rpi5-1.home.lan:
            rpi5.home.lan:
            omv.home.lan:
            rack.home.lan:
            m-server.home.lan:
            amd.home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_become_password: l4c1j4yd33Du5lo
            ansible_ssh_private_key_file: ssh_key.pem
            identity_file: ssh_key.pem
        nas:
          hosts:
            nas.home.lan:
          vars:
            ansible_ssh_user: admin
            become_method: su
            become_user: admin
            ansible_ssh_private_key_file: ssh_key.pem
            # ansible_user: admin
            # ansible_pass: l4c1!j4yd33?Du5lo1
            ansible_python_interpreter: /share/ZFS530_DATA/.qpkg/QPython312/bin/python3
        desktop:
          hosts:
            morefine.home.lan:
          vars:
            ansible_ssh_user: jd
            ansible_become_user: root
            ansible_become_password: l4c1j4yd33Du5lo
            ansible_ssh_private_key_file: ssh_key.pem
    proxmox:
      children:
        docker_workers:
          children:
            worker1:
              hosts:
                192.168.77.184:
              vars:
                ansible_ssh_user: jd
                ansible_become_user: root
                ansible_become_password: q
                # ansible_ssh_password: q
                ansible_ssh_password: q
    containers:
      children:
        docker_servers:
          children:
            router:
              hosts:
                router.home.lan:
              vars:
                ansible_python_interpreter: /usr/bin/python3
                ansible_ssh_user: root
                ansible_ssh_password: l4c1j4yd33Du5lo
            srv:
              hosts:
                rpi5.home.lan:
                m-server.home.lan:
              vars:
                ansible_python_interpreter: /usr/bin/python3
                ansible_ssh_user: jd
                ansible_become_password: l4c1j4yd33Du5lo
                ansible_ssh_private_key_file: ssh_key.pem
                identity_file: ssh_key.pem
            ns:
              hosts:
                nas.home.lan:
              vars:
                ansible_ssh_user: admin
                become_method: su
                become_user: admin
                ansible_ssh_private_key_file: ssh_key.pem
                # ansible_user: admin
                # ansible_pass: l4c1!j4yd33?Du5lo1
                ansible_python_interpreter: /share/ZFS530_DATA/.qpkg/QPython312/bin/python3
        servers:
          hosts:
            rpi5.home.lan:
            m-server.home.lan:
            amd.home.lan:
            rack.home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_become_password: l4c1j4yd33Du5lo
            ansible_ssh_private_key_file: ssh_key.pem
        nas:
          hosts:
            nas.home.lan:
            192.168.77.106:
          vars:
            ansible_ssh_user: admin
            become_method: su
            become_user: admin
            ansible_ssh_private_key_file: ssh_key.pem
            # ansible_user: admin
            # ansible_pass: l4c1!j4yd33?Du5lo1
            ansible_python_interpreter: /share/ZFS530_DATA/.qpkg/QPython312/bin/python3
        desktops:
          hosts:
            morefine.home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_private_key_file: ssh_key.pem
    vms:
      children:
        debian13:
          hosts:
            debian13-vm0[1:9].home.lan:
            debian13-vm[10:27].home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_private_key_file: ssh_key.pem
        rocky9:
          hosts:
            rocky9-vm0[1:9].home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_private_key_file: ssh_key.pem
            ansible_user: jd
        alma10:
          hosts:
            alma10-vm0[1:9].home.lan:
            # debian13-vm[10:27].home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_private_key_file: ssh_key.pem